function [COMES_wrkspc] = PlotMixedSensCondition(COMES_wrkspc)
%% define symbolic variables
syms x1 x2 real

%% pick a set of controller parameters from the parameter space
try
    close(2)
    [x1_n,x2_n] = ginput(1);
catch
    [x1_n,x2_n] = ginput(1);
end

%% complementary sensitivity function
[numT,denT] = numden(COMES_wrkspc.TransferFunction.T);

numT = subs(numT,{x1,x2},{x1_n,x2_n});
denT = subs(denT,{x1,x2},{x1_n,x2_n});

numT = sym2poly(numT);
denT = sym2poly(denT);

T = tf(numT,denT);

%% sensitivity function
[numS,denS] = numden(COMES_wrkspc.TransferFunction.S);

numS = subs(numS,{x1,x2},{x1_n,x2_n});
denS = subs(denS,{x1,x2},{x1_n,x2_n});

numS = sym2poly(numS);
denS = sym2poly(denS);

S = tf(numS,denS);

%% sensitivity function weight
[numWs,denWs] = numden(COMES_wrkspc.TransferFunction.Ws);

numWs = sym2poly(numWs);
denWs = sym2poly(denWs);

Ws = tf(numWs,denWs);

%% complementary sensitivity function weight
[numWt,denWt] = numden(COMES_wrkspc.TransferFunction.Wt);

numWt = sym2poly(numWt);
denWt = sym2poly(denWt);

Wt = tf(numWt,denWt);

%% Draw Bode magnitude plot
figure()
bodemag(Ws*S+Wt*T)

%% End of Function