function [COMES_wrkspc] = PlotPhaseMargin(COMES_wrkspc)
%% define symbolic variable
syms x1 x2 real

%% pick a set of controller parameters from the parameter space
try
    close(2)
    [x1_n,x2_n] = ginput(1);
catch
    [x1_n,x2_n] = ginput(1);
end

%% 

% loop transfer function with symbolic variables
L = subs(COMES_wrkspc.TransferFunction.L,{x1,x2},{x1_n,x2_n});

% split-up numerator and denumerator of loop transfer function
[N,D] = numden(L);

% convert symbolic variable to polynomial variable
num = sym2poly(N);
den = sym2poly(D);

% loop transfer function in s-domain
Ls = tf(num,den);

% plot the bode diagram of loop transfer function
figure()
margin(Ls)

%% End of Function