function [COMES_wrkspc] = PlotTimeResponse(COMES_wrkspc)
%% define symbolic variables
syms x1 x2 real

%% pick a set of controller parameters from the parameter space
try
    close(2)
    [x1_n,x2_n] = ginput(1);
catch
    [x1_n,x2_n] = ginput(1);
end

%% controller trabsfer function
[numC,denC] = numden(COMES_wrkspc.TransferFunction.C);

numC = subs(numC,{x1,x2},{x1_n,x2_n});
denC = subs(denC,{x1,x2},{x1_n,x2_n});

numC = sym2poly(numC);
denC = sym2poly(denC);

C = tf(numC,denC);

%% sensitivity function
[numS,denS] = numden(COMES_wrkspc.TransferFunction.S);

numS = subs(numS,{x1,x2},{x1_n,x2_n});
denS = subs(denS,{x1,x2},{x1_n,x2_n});

numS = sym2poly(numS);
denS = sym2poly(denS);

S = tf(numS,denS);

%% complementary sensitivity function
[numT,denT] = numden(COMES_wrkspc.TransferFunction.T);

numT = subs(numT,{x1,x2},{x1_n,x2_n});
denT = subs(denT,{x1,x2},{x1_n,x2_n});

numT = sym2poly(numT);
denT = sym2poly(denT);

T = tf(numT,denT);

%% time response
figure()
subplot(2,1,1)
step(T)
%
subplot(2,1,2)
step(series(S,C))

%% End of Function