function [COMES_wrkspc] = RobustControlDesign()

% initialization
initialization

% enter plant and controller transfer functions
[COMES_wrkspc] = SysInput(COMES_wrkspc);

while select ~= 0
% compute the controller parameter space
%
disp(' ')
disp('% --------------------------------------------------------------- %')
disp('%                                                                 %')
disp('% Please choose a number (between 1 and 4) to compute a           %')
disp('% controller parameter space that guarantees:                     %')
disp('%                                                                 %')
disp('%     1. Hurwitz stability                                        %')
disp('%     2. D-stability                                              %')
disp('%     3. Phase margin constraint                                  %')
disp('%     4. Mixed sensitivity constraint                             %')
disp('% or type                                                         %')
disp('%     5. To plot                                                  %')
disp('% or type                                                         %')
disp('%     0. To exit                                                  %')
disp('%                                                                 %')
disp('% --------------------------------------------------------------- %')
prompt = 'Choose a number : ';
answer = input(prompt,'s');
%
select = str2double(answer);
if select == 1
    [COMES_wrkspc] = ComputeHurwitzStabilityRegion(COMES_wrkspc);
elseif select == 2
    [COMES_wrkspc] = ComputeDStabilityRegion(COMES_wrkspc);
elseif select == 3
    [COMES_wrkspc] = ComputePhaseMarginRegion(COMES_wrkspc);
elseif select == 4
    [COMES_wrkspc] = ComputeMixedSensitivityRegion(COMES_wrkspc); 
elseif select == 5
    ifigure = 5; 
    while ifigure ~= 0
disp(' ')
disp('% --------------------------------------------------------------- %')
disp('%                        Plot figure                              %')
disp('% --------------------------------------------------------------- %')
disp('%                                                                 %')
disp('% Please choose a number to plot :                                %')
disp('%                                                                 %')
disp('%     1. Pole locations                                           %')
disp('%     2. Bode plot of complementary sensitivity function          %')
disp('%     3. Mixed sensitivity                                        %')
disp('%     4. Time response                                            %')
disp('% or type                                                         %')
disp('%     0. To exit                                                  %')
disp('%                                                                 %')
disp('% --------------------------------------------------------------- %')
        prompt  = 'Plot one of them : ';
        answer  = input(prompt,'s');
        %
        ifigure = str2double(answer);
        if ifigure == 1
            [x1_n,x2_n] = PlotDStabilityRegion(COMES_wrkspc);
        elseif ifigure == 2
            [COMES_wrkspc] = PlotPhaseMargin(COMES_wrkspc);
        elseif ifigure == 3
            [COMES_wrkspc] = PlotMixedSensCondition(COMES_wrkspc);
        elseif ifigure == 4
            [COMES_wrkspc] = PlotTimeResponse(COMES_wrkspc);
        elseif ifigure == 0
            break
        else
            continue
        end
    end
elseif select == 0
        break
else
    continue
end
%
end

%% End of File